Package org.opensaml.xacml

# Class XACMLConstants

java.lang.Object
org.opensaml.xacml.XACMLConstants

public final class XACMLConstants extends Object
Defines the constants for the XACML providers.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DNS_NAME_DATATYPE_URI`
DNS Name datatype URI.
`static final String`
`IP_ADDRESS_DATATYPE_URI`
IP address datatype URI.
`static final String`
`RFC822_NAME_DATATYPE_URI`
RFC822 Name datatype URI.
`static final String`
`X500_NAME_DATATYPE_URI`
X.500 Name datatype URI.
`static final String`
`XACML_PREFIX`
The prefix for the use of xacml policy.
`static final String`
`XACML10_NS`
The namespaces for use of XACML 1.0 policy.
`static final String`
`XACML10CTX_NS`
The namespaces for use of XACML 1.0 context.
`static final String`
`XACML20_NS`
The namespaces for use of XACML 2.0 policy.
`static final String`
`XACML20CTX_NS`
The namespaces for use of XACML 2.0 context.
`static final String`
`XACML30_NS`
The namespaces for use of XACML 3.0.
`static final String`
`XACMLCONTEXT_PREFIX`
The prefix for the use of xacml context.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`XACMLConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XACML_PREFIX

public static final String XACML_PREFIX
The prefix for the use of xacml policy.

See Also:
  - Constant Field Values

### XACMLCONTEXT_PREFIX

public static final String XACMLCONTEXT_PREFIX
The prefix for the use of xacml context.

See Also:
  - Constant Field Values

### XACML10CTX_NS

public static final String XACML10CTX_NS
The namespaces for use of XACML 1.0 context.

See Also:
  - Constant Field Values

### XACML10_NS

public static final String XACML10_NS
The namespaces for use of XACML 1.0 policy.

See Also:
  - Constant Field Values

### XACML20CTX_NS

public static final String XACML20CTX_NS
The namespaces for use of XACML 2.0 context.

See Also:
  - Constant Field Values

### XACML20_NS

public static final String XACML20_NS
The namespaces for use of XACML 2.0 policy.

See Also:
  - Constant Field Values

### XACML30_NS

public static final String XACML30_NS
The namespaces for use of XACML 3.0.

See Also:
  - Constant Field Values

### X500_NAME_DATATYPE_URI

public static final String X500_NAME_DATATYPE_URI
X.500 Name datatype URI.

See Also:
  - Constant Field Values

### RFC822_NAME_DATATYPE_URI

public static final String RFC822_NAME_DATATYPE_URI
RFC822 Name datatype URI.

See Also:
  - Constant Field Values

### IP_ADDRESS_DATATYPE_URI

public static final String IP_ADDRESS_DATATYPE_URI
IP address datatype URI.

See Also:
  - Constant Field Values

### DNS_NAME_DATATYPE_URI

public static final String DNS_NAME_DATATYPE_URI
DNS Name datatype URI.

See Also:
  - Constant Field Values

## Constructor Details

### XACMLConstants

private XACMLConstants()
Constructor.